--- ./lib/CIDFnmap.Ado.org	2005-11-10 15:09:02.000000000 +0900
+++ ./lib/CIDFnmap.Ado	2005-09-26 22:53:20.000000000 +0900
@@ -0,0 +1,46 @@
+
+% Adobe-CNS1
+
+/MHei-Medium-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/MHei-Medium-Acro)		;
+/MHei-Medium			(/opt/local/X11R6/lib/X11/fonts/opentype/MHei-Medium-Acro)		;
+/MSung-Light-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/MSung-Light-Acro)		;
+/MSung-Light			(/opt/local/X11R6/lib/X11/fonts/opentype/MSung-Light-Acro)		;
+
+/AdobeMingStd-Light-Acro	(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeMingStd-Light-Acro.otf)	;	% !
+%/AdobeMingStd-Light		(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeMingStd-Light-Acro.otf)	;	% !
+/AdobeMingStd-Light		(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeMingStd-Light.otf)	;
+
+
+% Adobe-GB1
+
+/STSong-Light-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/STSong-Light-Acro)		;
+/STSong-Light			(/opt/local/X11R6/lib/X11/fonts/opentype/STSong-Light-Acro)		;
+
+/AdobeSongStd-Light-Acro	(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeSongStd-Light-Acro.otf)	;
+%/AdobeSongStd-Light		(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeSongStd-Light-Acro.otf)	;
+/AdobeSongStd-Light		(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeSongStd-Light.otf)	;
+
+% Adobe-Japan1
+
+/HeiseiKakuGo-W5-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/HeiseiKakuGo-W5-Acro)		;
+/HeiseiKakuGo-W5		(/opt/local/X11R6/lib/X11/fonts/opentype/HeiseiKakuGo-W5-Acro)		;
+/HeiseiMin-W3-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/HeiseiMin-W3-Acro)		;
+/HeiseiMin-W3			(/opt/local/X11R6/lib/X11/fonts/opentype/HeiseiMin-W3-Acro)		;
+
+/KozGoPro-Medium-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/KozGoPro-Medium-Acro.otf)	;
+%/KozGoPro-Medium		(/opt/local/X11R6/lib/X11/fonts/opentype/KozGoPro-Medium-Acro.otf)	;
+/KozGoPro-Medium		(/opt/local/X11R6/lib/X11/fonts/opentype/KozGoPro-Medium.otf)		;
+/KozMinPro-Regular-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/KozMinPro-Regular-Acro.otf)	;
+/KozMinPro-Regular		(/opt/local/X11R6/lib/X11/fonts/opentype/KozMinPro-Regular-Acro.otf)	;
+/KozMinProVI-Regular		(/opt/local/X11R6/lib/X11/fonts/opentype/KozMinProVI-Regular.otf)	;
+
+% Adobe-Korea1
+
+/HYGoThic-Medium-Acro		(/opt/local/X11R6/lib/X11/fonts/opentype/HYGoThic-Medium-Acro)		;
+/HYGoThic-Medium		(/opt/local/X11R6/lib/X11/fonts/opentype/HYGoThic-Medium-Acro)		;
+/HYSMyeongJo-Medium-Acro	(/opt/local/X11R6/lib/X11/fonts/opentype/HYSMyeongJo-Medium-Acro)	;
+/HYSMyeongJo-Medium		(/opt/local/X11R6/lib/X11/fonts/opentype/HYSMyeongJo-Medium-Acro)	;
+
+/AdobeMyungjoStd-Medium-Acro	(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeMyungjoStd-Medium-Acro.otf)	;
+%/AdobeMyungjoStd-Medium	(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeMyungjoStd-Medium-Acro.otf)	;
+/AdobeMyungjoStd-Medium		(/opt/local/X11R6/lib/X11/fonts/opentype/AdobeMyungjoStd-Medium.otf)	;
--- ./lib/CIDFnmap.ARP.org	2002-04-02 23:47:42.000000000 +0900
+++ ./lib/CIDFnmap.ARP	2005-11-10 15:02:33.000000000 +0900
@@ -25,10 +25,10 @@
 
 % Adobe-CNS1
 
-/ZenKai-Medium		(bkai00mp.ttf)		;
-/ShanHeiSun-Light	(bsmi00lp.ttf)		;
+/ZenKai-Medium		(/opt/local/X11R6/lib/X11/fonts/truetype/bkai00mp.ttf)		;
+/ShanHeiSun-Light	(/opt/local/X11R6/lib/X11/fonts/truetype/bsmi00lp.ttf)		;
 
 % Adobe-GB1
 
-/BousungEG-Light-GB	(gbsn00lp.ttf)		;
-/GBZenKai-Medium	(gkai00mp.ttf)		;
+/BousungEG-Light-GB	(/opt/local/X11R6/lib/X11/fonts/truetype/gbsn00lp.ttf)		;
+/GBZenKai-Medium	(/opt/local/X11R6/lib/X11/fonts/truetype/gkai00mp.ttf)		;
--- ./lib/CIDFnmap.Bae.org	2002-04-02 23:47:42.000000000 +0900
+++ ./lib/CIDFnmap.Bae	2005-11-10 15:02:33.000000000 +0900
@@ -25,7 +25,7 @@
 
 % Adobe-Korea1
 
-/Baekmuk-Batang		(batang.ttf)		;
-/Baekmuk-Dotum		(dotum.ttf)		;
-/Baekmuk-Gulim		(gulim.ttf)		;
-/Baekmuk-Headline	(hline.ttf)		;
+/Baekmuk-Batang		(/opt/local/X11R6/lib/X11/fonts/truetype/batang.ttf)		;
+/Baekmuk-Dotum		(/opt/local/X11R6/lib/X11/fonts/truetype/dotum.ttf)		;
+/Baekmuk-Gulim		(/opt/local/X11R6/lib/X11/fonts/truetype/gulim.ttf)		;
+/Baekmuk-Headline	(/opt/local/X11R6/lib/X11/fonts/truetype/hline.ttf)		;
--- ./lib/CIDFnmap.CJK.org	2002-04-02 23:47:42.000000000 +0900
+++ ./lib/CIDFnmap.CJK	2005-09-16 04:32:43.000000000 +0900
@@ -24,38 +24,46 @@
 % Fallback aliases for CJK PDF files
 %
 %/Adobe-CNS1		/MOESung-Regular	; % CIDFnmap.Ore
-%/Adobe-CNS1		/ShanHeiSun-Light	; % CIDFnmap.ARP
+/Adobe-CNS1		/ShanHeiSun-Light	; % CIDFnmap.ARP
 %/Adobe-CNS1		/ming			; % CIDFnmap.Sol
 %/Adobe-CNS1		/MingLiU		; % CIDFnmap.Win
 %/Adobe-CNS1		/SimSun-18030-Adobe-CNS1	; % CIDFnmap.Win
+%/Adobe-CNS1		/SimSun-Adobe-CNS1	; % CIDFnmap.OSX
 
 %/Adobe-GB1		/BousungEG-Light-GB	; % CIDFnmap.ARP
 %/Adobe-GB1		/zycjksun		; % CIDFnmap.Sol
 %/Adobe-GB1		/SimSun			; % CIDFnmap.Win
+/Adobe-GB1		/STSong-Regular		; % CIDFnmap.OSX
 
 %/Adobe-Japan1		/WadaMin-Regular	; % CIDFnmap.Ore
 %/Adobe-Japan1		/HG-MinchoL		; % CIDFnmap.Sol
+%/Adobe-Japan1		/IPAMincho		; % CIDFnmap.IPA
 %/Adobe-Japan1		/Kochi-Mincho		; % CIDFnmap.Koc
-%/Adobe-Japan1		/MS-Mincho		; % CIDFnmap.Win
+%/Adobe-Japan1		/Sazanami-Mincho-Regular	; % CIDFnmap.Saz
+%/Adobe-Japan1		/MS-Mincho		; % CIDFnmap.Win|.OSX
+/Adobe-Japan1		/HiraMinPro-W3		; % CIDFnmap.OSX
 
 %/Adobe-Japan2		/WadaMin-RegularH	; % CIDFnmap.Ore
 %/Adobe-Japan2		/HeiseiMin-W3H		; % CIDFnmap.Sol
-%/Adobe-Japan2		/MS-Mincho-Adobe-Japan2		; % CIDFnmap.Win
+/Adobe-Japan2		/MS-Mincho-Adobe-Japan2		; % CIDFnmap.Win|.OSX
 
 %/Adobe-Korea1		/Munhwa-Regular		; % CIDFnmap.Ore
 %/Adobe-Korea1		/Baekmuk-Batang		; % CIDFnmap.Bae
 %/Adobe-Korea1		/Myeongjo		; % CIDFnmap.Sol
-%/Adobe-Korea1		/Batang			; % CIDFnmap.Win
+/Adobe-Korea1		/Batang			; % CIDFnmap.Win|.OSX
 
 %
 % Convenient aliases for PS files on Traditional Chinese PostScript printer
 %
 %/MSung-Light		/MOESung-Regular	; % CIDFnmap.Ore
 %/MSung-Light		/SimSun-18030-Adobe-CNS1	; % CIDFnmap.Win
-%/MSung-Medium		/ShanHeiSun-Light	; % CIDFnmap.ARP
+%/MSung-Light		/SimSun-Adobe-CNS1	; % CIDFnmap.OSX
+/MSung-Medium		/ShanHeiSun-Light	; % CIDFnmap.ARP
 %/MHei-Medium		/ShanHeiSun-Light	; % CIDFnmap.ARP
 %/MHei-Medium		/hei			; % CIDFnmap.Sol
-%/MKai-Medium		/ZenKai-Medium		; % CIDFnmap.ARP
+%/MHei-Medium		/STHeiti-Regular-Adobe-CNS1	; % CIDFnmap.OSX
+%/MHei-Medium		/STHeiti-Light-Adobe-CNS1	; % CIDFnmap.OSX
+/MKai-Medium		/ZenKai-Medium		; % CIDFnmap.ARP
 %/MKai-Medium		/kai			; % CIDFnmap.Sol
 
 %
@@ -63,11 +71,14 @@
 %
 %/STSong-Light		/BousungEG-Light-GB	; % CIDFnmap.ARP
 %/STSong-Light		/zycjksun		; % CIDFnmap.Sol
-%/STSong-Light		/SimSun			; % CIDFnmap.Win
+%/STSong-Light		/SimSun			; % CIDFnmap.Win|.OSX
+%/STSong-Light		/STSong-Regular		; % CIDFnmap.OSX
 %/STFangsong-Light	/zycjkfangs		; % CIDFnmap.Sol
-%/STFangsong-Light	/SimSun			; % CIDFnmap.Win
+%/STFangsong-Light	/SimSun			; % CIDFnmap.Win|.OSX
+/STFangsong-Light	/STFangsong-Regular	; % CIDFnmap.OSX
 %/STHeiti-Regular	/zycjkhei		; % CIDFnmap.Sol
 %/STHeiti-Regular	/SimHei			; % CIDFnmap.Win
+%/STHeiti-Regular	/LiHei-Pro-Medium	; % CIDFnmap.OSX
 %/STKaiti-Regular	/GBZenKai-Medium	; % CIDFnmap.ARP
 %/STKaiti-Regular	/zycjkkai		; % CIDFnmap.Sol
 
@@ -76,22 +87,29 @@
 %
 %/Ryumin-Light		/WadaMin-Regular	; % CIDFnmap.Ore
 %/Ryumin-Light		/HG-MinchoL		; % CIDFnmap.Sol
+%/Ryumin-Light		/IPAMincho		; % CIDFnmap.IPA
 %/Ryumin-Light		/Kochi-Mincho		; % CIDFnmap.Koc
-%/Ryumin-Light		/MS-Mincho		; % CIDFnmap.Win
+%/Ryumin-Light		/Sazanami-Mincho-Regular	; % CIDFnmap.Saz
+%/Ryumin-Light		/MS-Mincho		; % CIDFnmap.Win|.OSX
+/Ryumin-Light		/HiraMinPro-W3		; % CIDFnmap.OSX
 %/GothicBBB-Medium	/WadaGo-Bold		; % CIDFnmap.Ore
 %/GothicBBB-Medium	/HG-GothicB		; % CIDFnmap.Sol
+%/GothicBBB-Medium	/IPAGothic		; % CIDFnmap.IPA
 %/GothicBBB-Medium	/Kochi-Gothic		; % CIDFnmap.Koc
-%/GothicBBB-Medium	/MS-Gothic		; % CIDFnmap.Win
+%/GothicBBB-Medium	/Sazanami-Gothic-Regular	; % CIDFnmap.Saz
+%/GothicBBB-Medium	/MS-Gothic		; % CIDFnmap.Win|.OSX
+/GothicBBB-Medium	/HiraKakuPro-W3		; % CIDFnmap.OSX
 %/HeiseiMin-W3		/MS-Mincho		; % CIDFnmap.Win
 %/HeiseiKakuGo-W5	/MS-Gothic		; % CIDFnmap.Win
 
+/WadaMin-RegularH	/Adobe-Japan2		;
 %/HeiseiMin-W3H		/WadaMin-RegularH	; % CIDFnmap.Ore
-%/HeiseiMin-W3H		/MS-Mincho-Adobe-Japan2	; % CIDFnmap.Win
+/HeiseiMin-W3H		/MS-Mincho-Adobe-Japan2	; % CIDFnmap.Win|.OSX
 %/HeiseiKakuGo-W5H	/WadaMaruGo-RegularH	; % CIDFnmap.Ore
-%/HeiseiKakuGo-W5H	/MS-Gothic-Adobe-Japan2	; % CIDFnmap.Win
+/HeiseiKakuGo-W5H	/MS-Gothic-Adobe-Japan2	; % CIDFnmap.Win|.OSX
 
-%/KozMin-Regular	/MS-Mincho		; % CIDFnmap.Win
-%/KozMinPro-Regular	/MS-PMincho		; % CIDFnmap.Win
+%/KozGoPro-Medium	/MS-Gothic		; % CIDFnmap.Win|.OSX
+%/KozMinPro-Regular	/MS-Mincho		; % CIDFnmap.Win|.OSX
 
 %
 % Convenient aliases for PS files on Korean PostScript printer
@@ -101,15 +119,15 @@
 %/HYGoThic-Medium	/Gothic			; % CIDFnmap.Sol
 %/HYGoThic-Medium	/Dotum			; % CIDFnmap.Win
 %/HYGungSo-Bold		/Gungsuh		; % CIDFnmap.Win
-%/HYKHeadLine-Bold	/Baekmuk-Headline	; % CIDFnmap.Bae
-%/HYKHeadLine-Medium	/Baekmuk-Headline	; % CIDFnmap.Bae
+/HYKHeadLine-Bold	/Baekmuk-Headline	; % CIDFnmap.Bae
+/HYKHeadLine-Medium	/Baekmuk-Headline	; % CIDFnmap.Bae
 %/HYSMyeongJo-Medium	/Munhwa-Regular		; % CIDFnmap.Ore
 %/HYSMyeongJo-Medium	/Baekmuk-Batang		; % CIDFnmap.Bae
 %/HYSMyeongJo-Medium	/Myeongjo		; % CIDFnmap.Sol
-%/HYSMyeongJo-Medium	/Batang			; % CIDFnmap.Win
+%/HYSMyeongJo-Medium	/Batang			; % CIDFnmap.Win|.OSX
 %/HYRGoThic-Medium	/Baekmuk-Gulim		; % CIDFnmap.Bae
 %/HYRGoThic-Medium	/RoundedGothic		; % CIDFnmap.Sol
-%/HYRGoThic-Medium	/Gulim			; % CIDFnmap.Win
+/HYRGoThic-Medium	/Gulim			; % CIDFnmap.Win|.OSX
 
 %
 % Convenient aliases for PS files on Traditional Chinese Acrobat Distiller
--- ./lib/CIDFnmap.IPA.org	2005-11-10 15:02:33.000000000 +0900
+++ ./lib/CIDFnmap.IPA	2005-09-17 16:06:58.000000000 +0900
@@ -0,0 +1,30 @@
+%!
+% Copyright (C) 2005 Taiji Yamada and gs-cjk project
+%
+% This file is part of GNU Ghostscript.
+%
+% GNU Ghostscript is distributed in the hope that it will be useful, but
+% WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
+% to anyone for the consequences of using it or for whether it serves any
+% particular purpose or works at all, unless he says so in writing. Refer
+% to the GNU General Public License for full details.
+%
+% Everyone is granted permission to copy, modify and redistribute GNU
+% Ghostscript, but only under the conditions described in the GNU General
+% Public License.  A copy of this license is supposed to have been given
+% to you along with GNU Ghostscript so you can know your rights and
+% responsibilities.  It should be in a file named COPYING.  Among other
+% things, the copyright notice and this notice must be preserved on all
+% copies.
+
+% CID fontmap for IPA truetype fonts
+
+%
+% IPA Mincho and Gothic - TrueType
+% URL: http://opfc.sourceforge.jp/
+%
+/IPAGothic	(/opt/local/X11R6/lib/X11/fonts/truetype/ipag.ttf)	;
+/IPAMincho	(/opt/local/X11R6/lib/X11/fonts/truetype/ipam.ttf)	;
+/IPAPGothic	(/opt/local/X11R6/lib/X11/fonts/truetype/ipagp.ttf)	;
+/IPAPMincho	(/opt/local/X11R6/lib/X11/fonts/truetype/ipamp.ttf)	;
+/IPAUIGothic	(/opt/local/X11R6/lib/X11/fonts/truetype/ipagui.ttf)	;
--- ./lib/CIDFnmap.Ore.org	2002-04-02 23:47:42.000000000 +0900
+++ ./lib/CIDFnmap.Ore	2005-09-16 00:11:44.000000000 +0900
@@ -43,6 +43,7 @@
 
 % Adobe-Korea1
 
+/Munhwa-Bold			(Munhwa-Bold)			;
 /Munhwa-Regular			(Munhwa-Regular)		;
 /MunhwaGothic-Bold		(MunhwaGothic-Bold)		;
 /MunhwaGothic-Regular		(MunhwaGothic-Regular)		;
@@ -51,3 +52,13 @@
 /MunhwaGungSeoHeulim-Bold	(MunhwaGungSeoHeulim-Bold)	;
 /MunhwaGungSeoHeulim-Light	(MunhwaGungSeoHeulim-Light)	;
 /MunhwaHoonMin-Regular		(MunhwaHoonMin-Regular)	        ;
+
+/MunhwaGothicStd-Bold		(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaGothicStd-Bold.otf)			;
+/MunhwaGothicStd-Regular	(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaGothicStd-Regular.otf)		;
+/MunhwaHoonminStd-Regular	(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaHoonminStd-Regular.otf)		;
+/MunhwaMyungjoStd-Bold		(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaMyungjoStd-Bold.otf)		;
+/MunhwaMyungjoStd-Regular	(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaMyungjoStd-Regular.otf)		;
+/MunhwaScriptFreestyleStd-Bold	(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaScriptFreestyleStd-Bold.otf)	;
+/MunhwaScriptFreestyleStd-Light	(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaScriptFreestyleStd-Light.otf)	;
+/MunhwaScriptStd-Bold		(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaScriptStd-Bold.otf)			;
+/MunhwaScriptStd-Light		(/opt/local/gs7.07/share/ghostscript/Resource/CIDFont/MunhwaScriptStd-Light.otf)		;
--- ./lib/CIDFnmap.org	2002-04-02 23:47:42.000000000 +0900
+++ ./lib/CIDFnmap	2005-09-15 04:45:07.000000000 +0900
@@ -135,14 +135,18 @@
 % in particular, you must leave at least one space or tab between each
 % field in the entry.  
 
-%(CIDFnmap.Ore) .runlibfile
-%(CIDFnmap.ARP) .runlibfile
-%(CIDFnmap.Bae) .runlibfile
+(CIDFnmap.Ore) .runlibfile
+(CIDFnmap.Ado) .runlibfile
+(CIDFnmap.ARP) .runlibfile
+(CIDFnmap.Bae) .runlibfile
+(CIDFnmap.IPA) .runlibfile
 %(CIDFnmap.Koc) .runlibfile
+(CIDFnmap.Saz) .runlibfile
 %(CIDFnmap.Sol) .runlibfile
 %(CIDFnmap.Win) .runlibfile
+(CIDFnmap.OSX) .runlibfile
 
-%(CIDFnmap.CJK) .runlibfile
+(CIDFnmap.CJK) .runlibfile
 
 % native CIDFontName (BIG5) in traditional Chinese
 %(CIDFnmap.b5) .runlibfile
--- ./lib/CIDFnmap.OSX.org	2005-11-10 15:11:51.000000000 +0900
+++ ./lib/CIDFnmap.OSX	2005-09-17 18:11:46.000000000 +0900
@@ -0,0 +1,52 @@
+
+% Adobe-CNS1
+
+/PMingLiU	(/Applications/Office 2004 for Mac Test Drive/Office/Fonts/PMingLiU.ttf)	;
+
+/SimSun-Adobe-CNS1	(/Applications/Office 2004 for Mac Test Drive/Office/Fonts/SimSun.ttf)	/Adobe-CNS1-Unicode	;
+
+% Can't handle format 12
+%/LiHeiPro-Medium	(/opt/local/X11R6/lib/X11/fonts/truetype/LiHeiPro.ttf)		/Adobe-CNS1-Unicode	;
+%/LiSongPro-Light	(/opt/local/X11R6/lib/X11/fonts/truetype/LiSongPro.ttf)	/Adobe-CNS1-Unicode	;
+
+/STHeiti-Regular-Adobe-CNS1	(/opt/local/X11R6/lib/X11/fonts/truetype/STHeiti.ttf)		/Adobe-CNS1-Unicode	;
+/STHeiti-Light-Adobe-CNS1	(/opt/local/X11R6/lib/X11/fonts/truetype/STXihei.ttf)		/Adobe-CNS1-Unicode	;
+/STFangsong-Regular-Adobe-CNS1	(/opt/local/X11R6/lib/X11/fonts/truetype/STFangsong.ttf)	/Adobe-CNS1-Unicode	;
+/STSong-Regular-Adobe-CNS1	(/opt/local/X11R6/lib/X11/fonts/truetype/STSong.ttf)		/Adobe-CNS1-Unicode	;
+/STKaiti-Regular-Adobe-CNS1	(/opt/local/X11R6/lib/X11/fonts/truetype/STKaiti.ttf)		/Adobe-CNS1-Unicode	;
+
+% Adobe-GB1
+
+/SimSun		(/Applications/Office 2004 for Mac Test Drive/Office/Fonts/SimSun.ttf)		;
+
+/STHeiti-Regular	(/opt/local/X11R6/lib/X11/fonts/truetype/STHeiti.ttf)		/Adobe-GB1-Unicode	;
+/STHeiti-Light		(/opt/local/X11R6/lib/X11/fonts/truetype/STXihei.ttf)		/Adobe-GB1-Unicode	;
+/STFangsong-Regular	(/opt/local/X11R6/lib/X11/fonts/truetype/STFangsong.ttf)	/Adobe-GB1-Unicode	;
+/STSong-Regular		(/opt/local/X11R6/lib/X11/fonts/truetype/STSong.ttf)		/Adobe-GB1-Unicode	;
+/STKaiti-Regular	(/opt/local/X11R6/lib/X11/fonts/truetype/STKaiti.ttf)		/Adobe-GB1-Unicode	;
+
+% Adobe-Japan1
+
+/MS-Gothic	(/opt/local/X11R6/lib/X11/fonts/truetype/msgothic.ttf)	;
+/MS-PGothic	(/opt/local/X11R6/lib/X11/fonts/truetype/mspgothic.ttf)	;
+/MS-Mincho	(/opt/local/X11R6/lib/X11/fonts/truetype/msmincho.ttf)	;
+/MS-PMincho	(/opt/local/X11R6/lib/X11/fonts/truetype/mspmincho.ttf)	;
+
+/HiraKakuPro-W3	(/opt/local/X11R6/lib/X11/fonts/opentype/HiraKakuPro-W3.otf)	;
+/HiraKakuPro-W6	(/opt/local/X11R6/lib/X11/fonts/opentype/HiraKakuPro-W6.otf)	;
+/HiraKakuStd-W8	(/opt/local/X11R6/lib/X11/fonts/opentype/HiraKakuStd-W8.otf)	;
+/HiraMaruPro-W4	(/opt/local/X11R6/lib/X11/fonts/opentype/HiraMaruPro-W4.otf)	;
+/HiraMinPro-W3	(/opt/local/X11R6/lib/X11/fonts/opentype/HiraMinPro-W3.otf)	;
+/HiraMinPro-W6	(/opt/local/X11R6/lib/X11/fonts/opentype/HiraMinPro-W6.otf)	;
+
+% Adobe-Japan2
+
+/MS-Gothic-Adobe-Japan2		(/opt/local/X11R6/lib/X11/fonts/truetype/msgothic.ttf)		/Adobe-Japan2	;
+/MS-PGothic-Adobe-Japan2	(/opt/local/X11R6/lib/X11/fonts/truetype/mspgothic.ttf)		/Adobe-Japan2	;
+/MS-Mincho-Adobe-Japan2		(/opt/local/X11R6/lib/X11/fonts/truetype/msmincho.ttf)		/Adobe-Japan2	;
+/MS-PMincho-Adobe-Japan2	(/opt/local/X11R6/lib/X11/fonts/truetype/mspmincho.ttf)		/Adobe-Japan2	;
+
+% Adobe-Korea1
+
+/Batang	(/Applications/Office 2004 for Mac Test Drive/Office/Fonts/Batang.ttf)	;
+/Gulim	(/Applications/Office 2004 for Mac Test Drive/Office/Fonts/Gulim.ttf)	;
--- ./lib/CIDFnmap.Saz.org	2005-11-10 15:02:33.000000000 +0900
+++ ./lib/CIDFnmap.Saz	2005-09-17 15:57:10.000000000 +0900
@@ -0,0 +1,27 @@
+%!
+% Copyright (C) 2005 Taiji Yamada and gs-cjk project
+%
+% This file is part of GNU Ghostscript.
+%
+% GNU Ghostscript is distributed in the hope that it will be useful, but
+% WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
+% to anyone for the consequences of using it or for whether it serves any
+% particular purpose or works at all, unless he says so in writing. Refer
+% to the GNU General Public License for full details.
+%
+% Everyone is granted permission to copy, modify and redistribute GNU
+% Ghostscript, but only under the conditions described in the GNU General
+% Public License.  A copy of this license is supposed to have been given
+% to you along with GNU Ghostscript so you can know your rights and
+% responsibilities.  It should be in a file named COPYING.  Among other
+% things, the copyright notice and this notice must be preserved on all
+% copies.
+
+% CID fontmap for Sazanami truetype fonts
+
+%
+% Sazanami Mincho and Gothic - TrueType
+% URL: http://sourceforge.jp/projects/efont/files/
+%
+/Sazanami-Gothic-Regular	(/opt/local/X11R6/lib/X11/fonts/truetype/sazanami-gothic.ttf)	;
+/Sazanami-Mincho-Regular	(/opt/local/X11R6/lib/X11/fonts/truetype/sazanami-mincho.ttf)	;
--- ./lib/gs_res.ps.org	2003-04-12 23:02:38.000000000 +0900
+++ ./lib/gs_res.ps	2005-11-10 15:02:33.000000000 +0900
@@ -246,8 +246,8 @@
   /pssystemparams 10 dict readonly def
 } if
 pssystemparams begin
-  /FontResourceDir (/Resource/Font/) readonly .forcedef	% pssys'params is r-o
-  /GenericResourceDir (/Resource/) readonly .forcedef	% pssys'params is r-o
+  /FontResourceDir (/opt/local/gs7.07/share/ghostscript/Resource/Font/) readonly .forcedef	% pssys'params is r-o
+  /GenericResourceDir (/opt/local/gs7.07/share/ghostscript/Resource/) readonly .forcedef	% pssys'params is r-o
   /GenericResourcePathSep (/) readonly .forcedef	% pssys'params is r-o
 end
 end
--- ./src/unixinst.mak.org	2003-01-17 09:49:05.000000000 +0900
+++ ./src/unixinst.mak	2005-11-10 15:16:54.000000000 +0900
@@ -66,8 +66,8 @@
 	-mkdir -p $(gsdatadir)/lib
 	$(SH) -c 'for f in \
 Fontmap Fontmap.GS \
-CIDFnmap CIDFnmap.Ore CIDFnmap.ARP CIDFnmap.Bae CIDFnmap.Koc \
-CIDFnmap.Sol CIDFnmap.Win \
+CIDFnmap CIDFnmap.Ore CIDFnmap.Ado CIDFnmap.ARP CIDFnmap.Bae CIDFnmap.IPA CIDFnmap.Koc CIDFnmap.Saz \
+CIDFnmap.Sol CIDFnmap.Win CIDFnmap.OSX \
 CIDFnmap.CJK \
 CIDFnmap.b5 CIDFnmap.gb CIDFnmap.ksx CIDFnmap.sj \
 ht_ccsto.ps \
